// ********************************************************
// ** Pcap dump sample for LAN boards
// **                     models : LE-8500X (SB-GE2)
// **                            : LE-8600X (SB-10GE)
// **                            : OP-SB89
// **                            : OP-SB89G
// **                            : OP-SB89E
// ********************************************************

#include <stdio.h>
#include <unistd.h>
#include "LEPC.h"

int main(int argc, char *argv[])
{
    int i;
    
    if( argc == 1){
		// connect without serial (USB only) //
		if( LEConnect("") == LE_FAIL ){
			printf("LEConnect failed\n");
			return -1;
		}
		printf("LEConnect (Auto) \n");
    }
    else if( argc == 2 ){
		// connect
		if( LEConnect(argv[1]) == LE_FAIL ){
			printf("LEConnect failed\n");
			return -1;
		}
		printf("LEConnect %s\n",argv[1]);
    }
    else{
		printf("usage : DumpPcap <serial number>\n");
		return 0;
    }

	// test capture (10sec) //
	if(LEStartOnline() == LE_FAIL){
		printf("LEStartOnline failed\n");
		goto err;
	}

	for(int i=0; i<10; i++){
		sleep(1);
		printf("  capturing... %2d/10 sec.\n", i+1);
	}
	if(LEStop() == LE_FAIL){
		printf("LEStop failed\n");
		goto err;
	}
	
	printf("getting data...\n");
	
	// import pcap from capture buffer //
	if(LEImportPcap("test.pcapng") == LE_FAIL){
		printf("LEImportPcap failed\n");
		goto err;
	}

	printf("done.\n output = test.pcapng\n");
    
    LEDisconnect();
    return 0;
	
 err:
	LEDisconnect();
	return -1;
}
